# $Revision: 1.18 $, $Date: 2008-04-05 08:51:21 $
Summary:	Nagios Image Packs
Summary(pl.UTF-8):	Zestawy obrazków dla Nagiosa
Name:		nagios-imagepaks
Version:	1.0
Release:	2
License:	Open Source
Group:		Applications/WWW
Source0:	http://dl.sourceforge.net/nagios/imagepak-base.tar.gz
# Source0-md5:	35b75ece533dfdf4963a67ce4e77fc4a
Source1:	http://dl.sourceforge.net/nagios/imagepak-bernhard.tar.gz
# Source1-md5:	cd711110929fd2487234172a533e82c5
Source2:	http://dl.sourceforge.net/nagios/imagepak-cook.tar.gz
# Source2-md5:	248d682712c594fc4734c0158d2d2ee4
Source3:	http://dl.sourceforge.net/nagios/imagepak-didier.tar.gz
# Source3-md5:	83e98389e5b7fb39d2c0e3a96d5ca585
Source4:	http://dl.sourceforge.net/nagios/imagepak-remus.tar.gz
# Source4-md5:	76595744dae8153c921c4af6bf18383d
Source5:	http://dl.sourceforge.net/nagios/imagepak-satrapa.tar.gz
# Source5-md5:	3ed26d8b49379e0dc14f448d5c2a70c3
Source6:	http://dl.sourceforge.net/nagios/imagepak-werschler.tar.gz
# Source6-md5:	1a9cba019ccd27756977821aa735c40f
Source7:	http://glen.alkohol.ee/pld/nagios/imagepak-pld-20050402.4.tar.bz2
# Source7-md5:	9a635a4e2fed2460d2851cb35c658aba
URL:		http://www.nagiosexchange.org/cgi-bin/pages/Artwork/Image_Packs/index.html
BuildRequires:	tar >= 1:1.15.1
Requires:	nagios-cgi
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_logodir	/usr/share/nagios/images/logos

%description
Image packs are provided so that you have some colorful OS and device
images to beautify your CGIs in Nagios. Each pack includes GIF, JPEG,
PNG, and GD2 versions of each icon.

%description -l pl.UTF-8
Ten pakiet dostarcza zestawy obrazków, dzięki którym można,
przypisując kolorowe symbole do systemów operacyjnych i urządzeń,
uatrakcyjnić skrypty CGI Nagiosa. Każdy zestaw zawiera wersje GIF, JPEG,
PNG i GD2 każdej ikony.

%prep

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_logodir}/{bernhard,cook}
tar -xz -C $RPM_BUILD_ROOT%{_logodir} -f %{SOURCE0}
tar -xz -C $RPM_BUILD_ROOT%{_logodir}/bernhard --strip-components=1 -f %{SOURCE1}
tar -xz -C $RPM_BUILD_ROOT%{_logodir}/cook -f %{SOURCE2}
tar -xz -C $RPM_BUILD_ROOT%{_logodir} -f %{SOURCE3}
tar -xz -C $RPM_BUILD_ROOT%{_logodir} -f %{SOURCE4}
tar -xz -C $RPM_BUILD_ROOT%{_logodir} -f %{SOURCE5}
tar -xz -C $RPM_BUILD_ROOT%{_logodir} -f %{SOURCE6}
tar -xj -C $RPM_BUILD_ROOT%{_logodir}/base --strip-components=1 -f %{SOURCE7}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_logodir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nagios-imagepaks.spec,v $
Revision 1.18  2008-04-05 08:51:21  glen
- updated url

Revision 1.17  2008-04-05 08:50:07  glen
- release 2

Revision 1.16  2007-02-13 07:16:49  glen
- tabs in preamble

Revision 1.15  2007/02/12 00:49:09  baggins
- converted to UTF-8

Revision 1.14  2006/09/12 12:23:44  domelu
- new url

Revision 1.13  2005/04/27 08:04:52  glen
- cleanup trailing tab

Revision 1.12  2005/04/27 00:27:41  wolvverine
- up release to 1
- STBR

Revision 1.11  2005/04/13 01:16:37  patrys
- pl more pl'ish

Revision 1.10  2005/04/12 23:07:15  qboosh
- pl

Revision 1.9  2005/04/09 15:50:29  glen
- it's noarch

Revision 1.8  2005/04/09 15:46:31  glen
- --strip-components for newer tar on builders

Revision 1.7  2005/04/02 00:30:51  glen
- improved pld logos

Revision 1.6  2005/04/01 22:35:54  glen
- renumbered sources

Revision 1.5  2005/04/01 22:34:38  glen
- removed andrade, it didn't contain .gd2 files

Revision 1.4  2005/04/01 22:16:03  glen
- fixed md5. try 2

Revision 1.3  2005/04/01 22:15:33  glen
- fixed md5

Revision 1.2  2005/04/01 22:13:01  glen
- adapterized

Revision 1.1  2005/04/01 22:12:01  glen
- separated from nagios package
